# Structures

The following structures are available globally.

### AnyCodable

- `MixpanelFlagVariant`

  Undocumented

  See more

  #### Declaration

  Swift

      public struct MixpanelFlagVariant : Decodable

- `ProxyServerConfig`

  Undocumented

  See more

  #### Declaration

  Swift

      public struct ProxyServerConfig

- `MixpanelLogMessage`

  This holds all the data for each log message, since the formatting is up to each logging object. It is a simple bag of data

  See more

  #### Declaration

  Swift

      public struct MixpanelLogMessage

- `FeatureFlagOptions`

  Configuration options for feature flags behavior.

  Use this to control how and when feature flags are loaded by the SDK.

  Example — Default behavior (prefetches flags during initialization):

      let options = MixpanelOptions(
          token: "YOUR_TOKEN",
          featureFlagOptions: FeatureFlagOptions(enabled: true)
      )

  Example — Deferred loading (for use with identify):

      let options = MixpanelOptions(
          token: "YOUR_TOKEN",
          featureFlagOptions: FeatureFlagOptions(enabled: true, prefetchFlags: false)
      )
      let mp = Mixpanel.initialize(options: options)
      // identify() triggers loadFlags() internally when the distinctId changes
      mp.identify(distinctId: "user123")

  If `identify` may be called with the same persisted distinctId (no change), call `mp.flags.loadFlags()` explicitly to ensure flags are fetched.

  See more

  #### Declaration

  Swift

      public struct FeatureFlagOptions

- `ServerProxyResource`

  Undocumented

  See more

  #### Declaration

  Swift

      public struct ServerProxyResource

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-04-07)

Generated by jazzy ♪♫ v0.15.4, a Realm project.